backend:
  name: github
  repo: ioer-dresden/ioer-conference-2026-haclathon 
  branch: main
  # Our Go-broker (sveltia-cms)
  base_url: https://cms-auth.fdz.ioer.info
  auth_endpoint: auth

publish_mode: editorial_workflow

# Legal / UX text displayed on the login screen
site_url: https://hack.conference.ioer.info
display_name: "HaCLAthon CMS"
description: >
  <p>Welcome! To correctly attribute your contributions in our scientific proceedings, please log in with your GitHub account.</p>
  
  <p><strong>🔒 Your Security & Privacy:</strong></p>
  <ul style="text-align: left; margin-bottom: 15px;">
    <li>Your login is processed securely by GitHub.</li>
    <li><strong>We never see or store your password.</strong></li>
    <li>Our IOER-hosted broker only requests a temporary token to submit your text edits to our repository.</li>
  </ul>
  
  <p>By logging in, you agree to our <a href="/legal_notice.html" target="_blank" style="text-decoration: underline;">Terms of Service and Privacy Policy</a>.</p>

media_folder: "resources" # The folder in Git repo
public_folder: "/resources" # The absolute path on the webserver

collections:
  # 1. Folder Collection for general chapters (Markdown only)
  - name: "chapters"
    label: "Chapters"
    label_singular: "Chapter"
    folder: "chapters"
    create: true
    extension: "md"
    format: "frontmatter"
    summary: "{{filename}}.{{extension}} | {{title}}"
    editor:
      preview: false
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Body", name: "body", widget: "markdown" }

  # 2. Classifcal Jupyter Notebooks (*.ipynb, synced to md files)
  - name: "notebooks"
    label: "Jupyter Notebooks (Technical)"
    folder: "md"
    extension: "md"
    format: "frontmatter"
    summary: "Notebook: {{filename}}.{{extension}}"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Body", name: "body", widget: "markdown" }
      
      # This ensures the CMS reads and writes the 
      # Jupytext/Kernel metadata back into the file exactly as it was.
      - label: "Jupyter Metadata"
        name: "jupyter"
        widget: "object"
        fields:
          - { name: "jupytext", widget: "hidden" }
          - { name: "kernelspec", widget: "hidden" }
          
  # 3. File Collection for specific root files
  - name: "system_pages"
    label: "System Pages"
    create: false
    editor:
      preview: false
    files:
      - label: "README.md | Repository Landing Page"
        name: "readme"
        file: "README.md"
        fields:
          - { label: "Body", name: "body", widget: "markdown" }
      - label: "BIBLIOGRAPHY.md | Bibliography"
        name: "bibliography"
        file: "BIBLIOGRAPHY.md"
        fields:
          - { label: "Body", name: "body", widget: "markdown" }
      - label: "DEVELOPERS.md | Developers Guide"
        name: "developers"
        file: "DEVELOPERS.md"
        fields:
          - { label: "Body", name: "body", widget: "markdown" }